Closed Bug 1575859 Opened 4 months ago Closed 2 months ago

The label of the clear cookie exception button is not displayed correctly

Categories

(Firefox :: Site Identity, defect, P1)

70 Branch
defect

Tracking

()

VERIFIED FIXED
Firefox 71
Tracking Status
firefox-esr60 --- unaffected
firefox-esr68 --- unaffected
firefox69 --- unaffected
firefox70 --- verified
firefox71 --- verified

People

(Reporter: nayinain, Assigned: nhnt11)

References

(Blocks 1 open bug, Regression)

Details

(Keywords: regression, Whiteboard: [privacy-panel][skyline])

Attachments

(2 files)

Attached image capture.gif

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:70.0) Gecko/20100101 Firefox/70.0

Steps to reproduce:

  1. Open https://www.google.com/
  2. Add a block cookie exception for https://www.google.com/
  3. Open the Cross-Site Tracking Cookies sub-panel in the google's tab.
  4. Refresh the page.
  5. Open the Cross-Site Tracking Cookies sub-panel in the google's tab.

Actual results:

The label of the clear cookie exception button displayed as Allowed in Step 3, and displayed as undefined in Step 5.

Expected results:

The label of the clear cookie exception button should be displayed as Blocked in Steps 3 and 5.


Sorry for my bad English.

Has STR: --- → yes
Component: Untriaged → Site Identity and Permission Panels

:nayinain, if you think that's a regression, then could you try to find a regression range in using for example mozregression?

(In reply to Release mgmt bot [:sylvestre / :calixte / :marco for bugbug] from comment #1)

:nayinain, if you think that's a regression, then could you try to find a regression range in using for example mozregression?

regression range:

2019-08-23T16:52:31: INFO : Narrowed inbound regression window from [39392261, 50d7db79] (3 builds) to [5723eda4, 50d7db79] (2 builds) (~1 steps left)
2019-08-23T16:52:31: DEBUG : Starting merge handling...
2019-08-23T16:52:31: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=50d7db79ee2ffaa60c90e4410610cc16aecbab60&full=1
2019-08-23T16:52:34: DEBUG : Found commit message:
Bug 1572528 - Update cookies subview test. r=johannh

Differential Revision: https://phabricator.services.mozilla.com/D41568

2019-08-23T16:52:34: DEBUG : Did not find a branch, checking all integration branches
2019-08-23T16:52:34: INFO : The bisection is done.
2019-08-23T16:52:34: INFO : Stopped

Has Regression Range: --- → yes
Keywords: regression
Regressed by: 1572528

The regression range mentioned above is only for the problems in step 5. The problems in step 3 existed before Bug 1572528 was merged. However, as the connection to the download builds' server in my region was too slow, I was not motivated to find it again.


Sorry for my bad English.

Status: UNCONFIRMED → NEW
Ever confirmed: true
Whiteboard: [privacy-panel][skyline]
No longer blocks: 1577462, 1577465
Assignee: nobody → nhnt11
Status: NEW → ASSIGNED
Priority: -- → P1
Pushed by nhnt11@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/609817e41287
Fix state label for cookie list items with exceptions. r=johannh

Comment on attachment 9089621 [details]
Bug 1575859 - Fix state label for cookie list items with exceptions. r=johannh

Beta/Release Uplift Approval Request

  • User impact if declined: See comment 0. Broken UI state is possible when cookie exceptions are present. Users may see either "undefined" instead of a real string, or the string corresponding to the opposite of the true state.
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: No
  • Needs manual test from QE?: Yes
  • If yes, steps to reproduce: Please see comment 0.
  • List of other uplifts needed: None
  • Risk to taking this patch: Medium
  • Why is the change risky/not risky? (and alternatives if risky): We have automated tests, and apart from that the change is relatively straightforward. But usually I mark one-line CSS changes as "Low" risk, so going by that, this is "Medium".
  • String changes made/needed: None.
Attachment #9089621 - Flags: approval-mozilla-beta?
Flags: qe-verify+
Status: ASSIGNED → RESOLVED
Closed: 2 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 71
QA Whiteboard: [qa-triaged]

I successfully reproduced the issue on Firefox Nightly 70.0a1 (2019-08-22) under Windows 10 (x64) using the STR from Comment 0.

The issue is no longer reproducible on latest Nightly 71.0a1 (2019-09-25). Tests were performed on Windows 10 (x64), Ubuntu 16.04 (x64) and macOS 10.15.

Status: RESOLVED → VERIFIED

Comment on attachment 9089621 [details]
Bug 1575859 - Fix state label for cookie list items with exceptions. r=johannh

Fix for skyline feature, verified in nightly, let's uplift for beta 10.

Attachment #9089621 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

The issue is no longer reproducible on Firefox 70.0b10. Tests were performed on Windows 10 (x64), Ubuntu 16.04 (x64) and macOS 10.13.

Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.